Changeset 92107


Ignore:
Timestamp:
Apr 18, 2012, 10:44:07 PM (8 years ago)
Author:
jeremyhu@…
Message:

mplayer-devel: Use apple-gcc-4.2 on Tiger and Leopard since their gcc-4.0 and gcc-4.2 fail

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/multimedia/mplayer-devel/Portfile

    r91852 r92107  
    272272}
    273273
     274platform darwin {
     275    # gcc-4.0 and older gcc-4.2 fail to build cpudetect.c properly
     276    if {(${configure.compiler} == "gcc-4.0" || ${configure.compiler} == "gcc-4.2") && [vercmp ${xcodeversion} 3.2] < 0} {
     277        depends_build-append    port:apple-gcc42 port:ld64
     278        depends_skip_archcheck-append apple-gcc42 ld64
     279
     280        configure.compiler apple-gcc-4.2
     281    }
     282}
     283
    274284platform darwin 8 {
    275     # Tiger's host ld is ancient (cctools based) and won't properly link this project
    276     # Use apple-gcc42 with our ld64 to get it to link
    277     depends_build-append    port:apple-gcc42 port:ld64 port:gmake
    278     depends_skip_archcheck-append apple-gcc42 ld64 gmake
    279 
    280     configure.compiler apple-gcc-4.2
     285    depends_build-append port:gmake
     286    depends_skip_archcheck-append gmake
    281287
    282288    build.cmd               ${prefix}/bin/gmake
Note: See TracChangeset for help on using the changeset viewer.